repository http://www.stats.ox.ac.uk

StackedData <- stack(dataexp2[, c("v00","v01","v10","v11")])
names(StackedData) <- c("variable", "factor")


LinearModel.1 <- lm(variable ~ factor, data=StackedData)
summary(LinearModel.1)
confint(Boot(LinearModel.1, R=999, method="case"), level=0.95, type="bca")
with(StackedData, qqPlot(variable, dist="norm", id.method="y", id.n=2, labels=rownames(StackedData)))
summary(LinearModel.1)

AnovaModel.2 <- aov(variable ~ factor, data=StackedData)
summary(AnovaModel.2)
with(StackedData, numSummary(variable, groups=factor, statistics=c("mean", "sd")))
local({
  .Pairs <- glht(AnovaModel.2, linfct = mcp(factor = "Tukey"))
  print(summary(.Pairs)) # pairwise tests
  print(confint(.Pairs)) # confidence intervals
  print(cld(.Pairs)) # compact letter display
  old.oma <- par(oma=c(0,5,0,0))
  plot(confint(.Pairs))
  par(old.oma)
})


pirateplot(formula = AnovaModel.2,
           data = StackedData,
           main = "Theme 3nbasel palette",
           theme.o = 3,
           pal = "basel")

pirateplot(formula = AnovaModel.2,
           data = StackedData,
           main = "Theme 3nlight color with black background",
           pal = "white",
           theme.o = 3,
           point.pch = 16,
           back.col = gray(.2))
		   
	#high density interval from best 	   
pirateplot(formula = variable ~ factor, data = StackedData, xlab = "Favorite Pirate", ylab = "Age", main = "", inf="hdi", theme.o = 1)
