#https://cran.r-project.org/web/packages/bayesboot/bayesboot.pdf
#install.packages("bayesboot")

dataexp2 <- 
  read.table("http://www.irrational-decisions.com/phd-thesis/dataexp2.txt",
   header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)
   
   
library(bayesboot)
b1 <- bayesboot(dataexp2$v00, mean, R = 12000, .progress="win")
# But it's more efficient to use the a weighted statistic.
b2 <- bayesboot(dataexp2$v00, weighted.mean, use.weights = TRUE)
# The result of bayesboot can be plotted and summarized
b2
plot(b2, cred.mass = 0.95,  compVal = 3.6, ROPE = c(3.7, 3.8), HDItextPlace = 0.7, showMode = FALSE, showCurve = FALSE)
summary(b2, cred.mass = 0.95)


#comparing two groups1
bdiff2 <- bayesboot (dataexp2, function(d) {mean(dataexp2$v00) - mean(dataexp2$v01)}, R=1000)
summary(bdiff2, cred.mass = 0.95)
plot(bdiff2)

#comparing two groups2
ba <- bayesboot(dataexp2$v00, mean)
bb <- bayesboot(dataexp2$v01, mean)
b_diff <- as.bayesboot(ba - bb)
plot(b_diff, cred.mass = 0.95,  compVal = 0.0, ROPE = c(-0.1, 0.1),)
plotPost(b_diff)
#Given the model and the data, this is the probability that the mean is above the mean of xxx
mean( c(b_diff > 0.0, TRUE, FALSE) )
mean( c(dataexp2$v00 > 175.9, TRUE, FALSE) )