dataexp2 <- 
  read.table("http://www.irrational-decisions.com/phd-thesis/dataexp2.txt",
   header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)

with(dataexp2, wilcox.test(v00, v01, alternative='greater', paired=TRUE, exact=FALSE, conf.int = TRUE, conf.level = 0.95, mu=0))
with(dataexp2, wilcox.test(v00, v01, alternative='greater', paired=TRUE, exact=TRUE, conf.int = TRUE, conf.level = 0.95, mu=0))
with(dataexp2, wilcox.test(v10, v11, alternative='less', paired=TRUE, exact=FALSE, conf.int = TRUE, conf.level = 0.95, mu=0))
with(dataexp2, wilcox.test(v10, v11, alternative='less', paired=TRUE, exact=TRUE, conf.int = TRUE, conf.level = 0.95, mu=0))

dataexp2 <- 
  read.table("http://www.irrational-decisions.com/phd-thesis/dataexp2.txt",
   header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)

with(dataexp2, wilcox.test(v00, v01, alternative='two.sided', paired=FALSE, exact=FALSE, conf.int = TRUE, conf.level = 0.95, mu=0))
with(dataexp2, wilcox.test(v00, v01, alternative='two.sided', paired=FALSE, exact=TRUE, conf.int = TRUE, conf.level = 0.95, mu=0))
with(dataexp2, wilcox.test(v10, v11, alternative='two.sided', paired=FALSE, exact=FALSE, conf.int = TRUE, conf.level = 0.95, mu=0))
with(dataexp2, wilcox.test(v10, v11, alternative='two.sided', paired=FALSE, exact=TRUE, conf.int = TRUE, conf.level = 0.95, mu=0))

#one sided

> dataexp2 <- 
+   read.table("http://www.irrational-decisions.com/phd-thesis/dataexp2.txt",
+    header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)

> with(dataexp2, wilcox.test(v00, v01, alternative='greater', paired=TRUE, exact=FALSE, conf.int = TRUE, conf.level = 0.95, mu=0))

	#Wilcoxon signed rank test with continuity correction

data:  v00 and v01
V = 1381, p-value = 0.002309
alternative hypothesis: true location shift is greater than 0
95 percent confidence interval:
 0.04728111        Inf
sample estimates:
(pseudo)median 
      0.114553 


> with(dataexp2, wilcox.test(v00, v01, alternative='greater', paired=TRUE, exact=TRUE, conf.int = TRUE, conf.level = 0.95, mu=0))

	#Wilcoxon signed rank test with continuity correction

data:  v00 and v01
V = 1381, p-value = 0.002309
alternative hypothesis: true location shift is greater than 0
95 percent confidence interval:
 0.04728111        Inf
sample estimates:
(pseudo)median 
      0.114553 


> with(dataexp2, wilcox.test(v10, v11, alternative='less', paired=TRUE, exact=FALSE, conf.int = TRUE, conf.level = 0.95, mu=0))

	#Wilcoxon signed rank test with continuity correction

data:  v10 and v11
V = 648, p-value = 0.01073
alternative hypothesis: true location shift is less than 0
95 percent confidence interval:
        -Inf -0.03713979
sample estimates:
(pseudo)median 
    -0.1334627 


> with(dataexp2, wilcox.test(v10, v11, alternative='less', paired=TRUE, exact=TRUE, conf.int = TRUE, conf.level = 0.95, mu=0))

	#Wilcoxon signed rank test

data:  v10 and v11
V = 648, p-value = 0.01036
alternative hypothesis: true location shift is less than 0
95 percent confidence interval:
        -Inf -0.03708333
sample estimates:
(pseudo)median 
    -0.1335417 


	
	
	
	
	
#two sided

> dataexp2 <- 
+   read.table("http://www.irrational-decisions.com/phd-thesis/dataexp2.txt",
+    header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)

> with(dataexp2, wilcox.test(v00, v01, alternative='two.sided', paired=FALSE, exact=FALSE, conf.int = TRUE, conf.level = 0.95, mu=0))

	#Wilcoxon rank sum test with continuity correction

data:  v00 and v01
W = 2054.5, p-value = 0.5095
alternative hypothesis: true location shift is not equal to 0
95 percent confidence interval:
 -0.2756068  0.5518785
sample estimates:
difference in location 
             0.1339672 


> with(dataexp2, wilcox.test(v00, v01, alternative='two.sided', paired=FALSE, exact=TRUE, conf.int = TRUE, conf.level = 0.95, mu=0))

	#Wilcoxon rank sum test with continuity correction

data:  v00 and v01
W = 2054.5, p-value = 0.5095
alternative hypothesis: true location shift is not equal to 0
95 percent confidence interval:
 -0.2756068  0.5518785
sample estimates:
difference in location 
             0.1339672 


> with(dataexp2, wilcox.test(v10, v11, alternative='two.sided', paired=FALSE, exact=FALSE, conf.int = TRUE, conf.level = 0.95, mu=0))

	#Wilcoxon rank sum test with continuity correction

data:  v10 and v11
W = 1652, p-value = 0.178
alternative hypothesis: true location shift is not equal to 0
95 percent confidence interval:
 -0.6475018  0.1154527
sample estimates:
difference in location 
            -0.2414455 


> with(dataexp2, wilcox.test(v10, v11, alternative='two.sided', paired=FALSE, exact=TRUE, conf.int = TRUE, conf.level = 0.95, mu=0))

	#Wilcoxon rank sum test

data:  v10 and v11
W = 1652, p-value = 0.1787
alternative hypothesis: true location shift is not equal to 0
95 percent confidence interval:
 -0.6475000  0.1154167
sample estimates:
difference in location 
            -0.2421875 







###################################

#cliffs delta
install.packages("effsize")
library(effsize)
res = cliff.delta(dataexp2$v00,dataexp2$v01,return.dm=TRUE)
print(res)
#####################

#Cohen's d
cohen.d(dataexp2$v00,dataexp2$v01,pooled=TRUE,paired=TRUE, na.rm=FALSE, hedges.correction=FALSE, conf.level=0.95,noncentral=FALSE)
## compute Hedges' g correction (unbiased estimate of d)
cohen.d(dataexp2$v00,dataexp2$v01,paired=TRUE, na.rm=FALSE, hedges.correction=TRUE, conf.level=0.95,noncentral=FALSE)
###################################
#updated version
#http://cran.us.r-project.org/web/packages/BEST/BEST.pdf
install.packages("BEST")
library(BEST)

dataexp2 <- 
  read.table("http://www.irrational-decisions.com/phd-thesis/dataexp2.txt",
             header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)

BESTout <- BESTmcmc(dataexp2$v00, dataexp2$v01)
# Look at the result:
BESTout
summary(BESTout)
plot(BESTout)
plot(BESTout, "sd")
plotPostPred(BESTout)
plotAll(BESTout, credMass=0.8, ROPEm=c(-0.1,0.1),
        ROPEeff=c(-0.2,0.2), compValm=0.5)
plotAll(BESTout, credMass=0.8, ROPEm=c(-0.1,0.1),
        ROPEeff=c(-0.2,0.2), compValm=0.5, showCurve=TRUE)
summary(BESTout, credMass=0.8, ROPEm=c(-0.1,0.1), ROPEsd=c(-0.15,0.15),
        ROPEeff=c(-0.2,0.2))
pairs(BESTout)
head(BESTout$mu1)
muDiff <- BESTout$mu1 - BESTout$mu2
mean(muDiff > 1.5)
mean(BESTout$sigma1 - BESTout$sigma2)
hist(BESTout$nu)

#mu1, mu2 simulated observations of means for each population
#sigma1, sigma2 simulated observations of standard deviations for each population
#nu simulated observations of normality parameter
################################################################


dataexp2 <- 
  read.table("http://www.irrational-decisions.com/phd-thesis/dataexp2-exp2.txt",
   header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)
   
#bootstrap effect sizes
#install.packages("bootES")
library(bootES)
dataexp2$v00minusv01 = dataexp2$v00 - dataexp2$v01
bootES(dataexp2$v00minusv01 ci.conf = 0.95, ci.type = "bca", R = "100000")
bootES(dataexp2$v00minusv0, ci.conf = 0.95, ci.type = "bca", R = "10000", plot=TRUE)
#Results
95.00% bca Confidence Interval, 2000 replicates
Stat        CI (Low)    CI (High)   bias        SE          
0.125       0.042       0.213       -0.000      0.043


#bootstrapped correlations
bootES(dataexp2-exp2$M3vM1M2, effect.type = "r")
cor( dataexp2-exp2[c("v00","v01")] )
bootES(dataexp2-exp2[c("v00","v01")])

#BCa CIs on Means
#https://web.williams.edu/Psychology/Faculty/Kirby/bootes-kirby-gerlanc-in-press.pdf
mean(dataexp2$v00)
set.seed(1)
bootES(dataexp2$v00)
bootES(dataexp2$v00, ci.conf = 0.95, ci.type = "bca", R = "100000")
bootES(dataexp2$v00, ci.conf = 0.95, ci.type = "bca", R = "100000", plot=TRUE)

#output
> mean(dataexp2$v00)
[1] 3.823293

> bootES(dataexp2$v00, ci.conf = 0.95, ci.type = "bca", R = "1000")

95.00% bca Confidence Interval, 1000 replicates
Stat        CI (Low)    CI (High)   bias        SE          
3.823       3.543       4.081       0.006       0.140       


> bootES(dataexp2$v00, ci.conf = 0.95, ci.type = "bca", R = "10000")

95.00% bca Confidence Interval, 10000 replicates
Stat        CI (Low)    CI (High)   bias        SE          
3.823       3.559       4.104       -0.002      0.139       


> bootES(dataexp2$v00, ci.conf = 0.95, ci.type = "bca", R = "100000")

95.00% bca Confidence Interval, 100000 replicates
Stat        CI (Low)    CI (High)   bias        SE          
3.823       3.550       4.097       0.000       0.140       


> bootES(dataexp2$v00, ci.conf = 0.95, ci.type = "bca", R = "1000000")

95.00% bca Confidence Interval, 1000000 replicates
Stat        CI (Low)    CI (High)   bias        SE          
3.823       3.552       4.099       -0.000      0.140

# record real and cpu time for execution
ptm <- proc.time()
bootES(dataexp2$v00, ci.conf = 0.95, ci.type = "bca", R = "100000")
proc.time() - ptm
   
#(1) Cohen’s d, Hedges’ g (unbiased estimate of d) and variance
#(2) Correlation coefficient (r), Fisher’s z, and variance
#(3) Log odds and variance
#(followed by general information about NNT, U3, Common Language Effect Size, and Cliff’s Delta) 
#https://cran.r-project.org/web/packages/compute.es/compute.es.pdf p.83
library(compute.es)
tes(2.8757, 62, 62, level = 95, cer = 0.2, dig = 2, verbose = TRUE, id=NULL, data=NULL)

   
#95%ci for the the effect size of the mean difference score

#https://stats.stackexchange.com/questions/140460/
#calculate the 95% confidence interval of an effect size of  the mean difference score (CI of that difference score)
#Mean difference: 3.7 CI(1.4-6.0) Cohen's d=0.4 how do i calculate the 95% CI of this effect size?
#'tes' function in the 'compute.es' package
install.packages("compute.es")
cohensd.ci <- function(d, n1, n2, ci = 0.95) {
    library(compute.es)
    t <- d * sqrt((n1 * n2)/(n1 + n2))
    capture.output(
        fit <- compute.es::tes(t = t, n.1 = n1, n.2 = n2, level = 100 * ci),
        file = "NUL"
    )
    c(lower.ci = fit$l.d, upper.ci = fit$u.d)
}

cohensd.ci(d = 0.5, n1 = 100, n2 = 100)


#beanplot
knitr::opts_chunk$set(comment=NA, prompt=TRUE, out.width=750, fig.height=8, fig.width=8)
> dataexp2 <- 
+   read.spss("C:/Users/cgermann/OneDrive - University of Plymouth/phd thesis/exp2-visual-rating/exp2-final.sav",
install.packages ("beanplot")
library("beanplot")
install.packages ("beanplot")
library("beanplot")
par( mfrow = c( 1, 2 ) )
with(dataexp2, beanplot(v00, col="darkgray", main = "v00", kernel = "gaussian", cut = 3, cutmin = -Inf, cutmax = Inf, overallline = "mean", horizontal = FALSE, side = "no", jitter = NULL, beanlinewd = 2))
with(dataexp2, beanplot(v01, col="darkgray", main = "v01", kernel = "gaussian", cut = 3, cutmin = -Inf, cutmax = Inf, overallline = "mean", horizontal = FALSE, side = "no", jitter = NULL, beanlinewd = 2))
par( mfrow = c( 1, 2 ) )
with(dataexp2, beanplot(v10, col="darkgray", main = "v10", kernel = "gaussian", cut = 3, cutmin = -Inf, cutmax = Inf, overallline = "mean", horizontal = FALSE, side = "no", jitter = NULL, beanlinewd = 2))
with(dataexp2, beanplot(v11, col="darkgray", main = "v11", kernel = "gaussian", cut = 3, cutmin = -Inf, cutmax = Inf, overallline = "mean", horizontal = FALSE, side = "no", jitter = NULL, beanlinewd = 2))




Rcmdr Version 2.3-2

# include this code chunk as-is to set options
knitr::opts_chunk$set(comment=NA, prompt=TRUE, out.width=750, fig.height=8, fig.width=8)
library(Rcmdr)
library(car)
library(RcmdrMisc)
> library(foreign, pos=14)
# include this code chunk as-is to enable 3D graphs
library(rgl)
knitr::knit_hooks$set(webgl = hook_webgl)
> dataexp2 <- 
+   read.spss("C:/Users/cgermann/OneDrive - University of Plymouth/phd thesis/adapted experiments/exp2-visual-rating/exp2-final.sav",

plot(dnorm, -10, 10, n=1000)
plot(dcauchy, -10, 10, n=1000, col='red', add=TRUE)
legend(0.01,0.01, c("Gaussian","Cauchy"), 
  lty=c(1,1,1),
  lwd=c(2,2,2), col=c("blue", "red"))

# Right tails of Cuauchy versus Gaussian distributions
low <- 0; high <- 6
curve(dnorm,from = low, to = high, ylim = c(0, .05), col = "blue", ylab = " ", add = FALSE) 
curve(dcauchy,from = low, to = high, col = "red", add = TRUE) 
plot(dnorm, -10, 10, n=1000)
plot(dcauchy, -10, 10, n=1000, col='red', add=TRUE)
legend(0,0.02, c("Gaussian","Cauchy"), 
  lty=c(1,1,1), # symbols (lines)
  lwd=c(2,2,2), col=c("black", "red"))
legend(0,0.03, c("Gaussian","Cauchy"), 
  lty=c(1,1,1), # symbols (lines)
  lwd=c(2,2,2), col=c("blue", "red"))
  

# box plots
par( mfrow = c( 1, 4 ) )
Boxplot( ~ v00, data=dataexp2, id.method="y")
Boxplot( ~ v01, data=dataexp2, id.method="y")
Boxplot( ~ v10, data=dataexp2, id.method="y")
Boxplot( ~ v11, data=dataexp2, id.method="y")
# quantile comparison plots
par( mfrow = c( 1, 4 ) )
with(dataexp2, qqPlot(v00, dist="norm", id.method="y", id.n=2, labels=rownames(dataexp2)))
with(dataexp2, qqPlot(v00, dist="norm", id.method="y", id.n=2, labels=rownames(dataexp2)))
with(dataexp2, qqPlot(v01, dist="norm", id.method="y", id.n=2, labels=rownames(dataexp2)))
with(dataexp2, qqPlot(v10, dist="norm", id.method="y", id.n=2, labels=rownames(dataexp2)))
with(dataexp2, qqPlot(v11, dist="norm", id.method="y", id.n=2, labels=rownames(dataexp2)))


scatterplotMatrix(~v00+v01+v10+v11, 
reg.line=FALSE, smooth=FALSE, spread=FALSE, span=0.5, ellipse=FALSE, 
levels=c(.5, .9), id.n=0, diagonal = 'density', data=dataexp2)

> summary(dataexp2)
      v00             v01             v10             v11              id       
 Min.   :1.194   Min.   :1.269   Min.   :3.737   Min.   :4.005   Min.   : 1.00  
 1st Qu.:3.139   1st Qu.:2.867   1st Qu.:5.937   1st Qu.:6.137   1st Qu.:16.25  
 Median :3.786   Median :3.725   Median :6.582   Median :6.822   Median :31.50  
 Mean   :3.823   Mean   :3.698   Mean   :6.638   Mean   :6.919   Mean   :31.50  
 3rd Qu.:4.550   3rd Qu.:4.384   3rd Qu.:7.305   3rd Qu.:7.644   3rd Qu.:46.75  
 Max.   :6.195   Max.   :6.448   Max.   :8.751   Max.   :9.651   Max.   :62.00
 
 > library(nortest, pos=20)

> with(dataexp2, shapiro.test(v00))

	Shapiro-Wilk normality test

data:  v00
W = 0.99198, p-value = 0.9587


> with(dataexp2, ad.test(v00))

	Anderson-Darling normality test

data:  v00
A = 0.14858, p-value = 0.9625


> with(dataexp2, cvm.test(v00))

	Cramer-von Mises normality test

data:  v00
W = 0.023383, p-value = 0.9288


> with(dataexp2, lillie.test(v00))

	Lilliefors (Kolmogorov-Smirnov) normality test

data:  v00
D = 0.053704, p-value = 0.9283


> with(dataexp2, sf.test(v00))

	Shapiro-Francia normality test

data:  v00
W = 0.99475, p-value = 0.9845


> with(dataexp2, pearson.test(v00, n.classes=10))

	Pearson chi-square normality test with 10 bins


data:  v00
P = 2.8387, p-value = 0.8995

#spearman rand order correlations

> cor(dataexp2[,c("v00","v01","v10","v11")], method="spearman", use="complete")
          v00       v01       v10       v11
v00 1.0000000 0.9664577 0.1477424 0.1091637
v01 0.9664577 1.0000000 0.1789680 0.1175241
v10 0.1477424 0.1789680 1.0000000 0.7569439
v11 0.1091637 0.1175241 0.7569439 1.0000000

#pearson correlation coefficients

> cor(dataexp2[,c("v00","v01","v10","v11")], use="complete")
          v00       v01       v10       v11
v00 1.0000000 0.9532469 0.2127731 0.2059393
v01 0.9532469 1.0000000 0.2366630 0.2100866
v10 0.2127731 0.2366630 1.0000000 0.7918357
v11 0.2059393 0.2100866 0.7918357 1.0000000

> numSummary(dataexp2[,c("v00", "v01", "v10", "v11")], statistics=c("mean", "sd", "se(mean)", "IQR", "skewness", "kurtosis"), quantiles=c(0,.25,.5,.75,1), type="2")
        mean       sd  se(mean)      IQR    skewness    kurtosis  n
v00 3.823293 1.107276 0.1406243 1.410625  0.05657627 -0.40730505 62
v01 3.698434 1.125614 0.1429532 1.516927  0.26751112 -0.09850887 62
v10 6.637571 1.076587 0.1367267 1.367865 -0.19578022  0.47071076 62
v11 6.918978 1.177035 0.1494836 1.507292 -0.08207427  0.28428970 62

# mean, standard deviation, stnadard error of mean, skewness & kurtosis (Type 2)

> numSummary(dataexp2[,c("v00", "v01", "v10", "v11")], statistics=c("quantiles"), quantiles=c(0,.25,.5,.75,1))
          0%      25%      50%      75%     100%  n
v00 1.193958 3.138958 3.785521 4.549583 6.194583 62
v01 1.268958 2.866823 3.725417 4.383750 6.448125 62
v10 3.736667 5.936875 6.582396 7.304740 8.750625 62
v11 4.005000 6.136927 6.821875 7.644219 9.650833 62

#quantiles

Partial correlations:
         v00      v01      v10      v11
v00  0.00000  0.95124 -0.09404  0.08552
v01  0.95124  0.00000  0.12561 -0.06960
v10 -0.09404  0.12561  0.00000  0.78298
v11  0.08552 -0.06960  0.78298  0.00000

 Number of observations: 62 

 Pairwise two-sided p-values:
    v00    v01    v10    v11   
v00        <.0001 0.4748 0.5159
v01 <.0001        0.3389 0.5972
v10 0.4748 0.3389        <.0001
v11 0.5159 0.5972 <.0001       

 Adjusted p-values (Holm's method)
    v00 v01 v10 v11
v00     0   1   1  
v01 0       1   1  
v10 1   1       0  
v11 1   1   0


################################
> with(dataexp2, (t.test(v00, v01, alternative='greater', conf.level=.95, paired=TRUE)))

	Paired t-test

data:  v00 and v01
t = 2.8757, df = 61, p-value = 0.002772
alternative hypothesis: true difference in means is greater than 0
95 percent confidence interval:
 0.05234079        Inf
sample estimates:
mean of the differences 
              0.1248589 


			  
			  
			  
> with(dataexp2, (t.test(v10, v11, alternative='less', conf.level=.95, paired=TRUE)))

	Paired t-test

data:  v10 and v11
t = -3.0219, df = 61, p-value = 0.001834
alternative hypothesis: true difference in means is less than 0
95 percent confidence interval:
       -Inf -0.1258726
sample estimates:
mean of the differences 
             -0.2814079
			 

