#In this entry, we detail how to adjust for multiplicity using R # multiplicity adjustments given a vector of p-values.

#https://www.r-bloggers.com/example-9-30-addressing-multiple-comparisons/
#https://stat.ethz.ch/R-manual/R-devel/library/stats/html/p.adjust.html
pvals = c(.001, .001, .001, .02, .22, .59, .87)
BONF = p.adjust(pvals, "bonferroni")
BH = p.adjust(pvals, "BH")
holm = p.adjust(pvals, "holm")
hochberg = p.adjust(pvals, "hochberg")
hommel = p.adjust(pvals, "hommel")
BY = p.adjust(pvals, "BY")
fdr = p.adjust(pvals, "fdr") # false discrovery rate
none = p.adjust(pvals, "none")
res = cbind(pvals, BONF=round(BONF, 3), BH=round(BH, 3), holm=round(holm, 3), hochberg=round(hochberg, 3), hommel=round(hommel, 3), fdr=round(fdr, 3), BY=round(BY, 3), none=round(none, 3),)
res


matplot(res, ylab="p-values", xlab="sorted outcomes")
abline(h=0.05, lty=2)
matlines(res)
legend(1, .9, legend=c("Bonferroni", "Benjamini-Hochberg", "Holm", "Hochberg", "Hommel", "FDR", "BY", "None"), 
  col=c(3, 2, 1), lty=c(3, 2, 1), cex=0.7)
  
  
  ##############################
AnovaModel.7 <- aov(variable ~ factor, data=StackedData)
summary(AnovaModel.7)
with(StackedData, numSummary(variable, groups=factor, statistics=c("mean", "sd")))
local({
  .Pairs <- glht(AnovaModel.7, linfct = mcp(factor = "Tukey"))
  print(summary(.Pairs)) # pairwise tests
  print(confint(.Pairs)) # confidence intervals
  print(cld(.Pairs)) # compact letter display
  old.oma <- par(oma=c(0,5,0,0))
  plot(confint(.Pairs))
  par(old.oma)
})
