curve(dnorm(x), -10, 10, n=1000, col = "red", ylab="")
curve(dt(x, df = 3), col = "blue", add = TRUE)
legend("topright", c("Gaussian","T"), 
  lty=c(1,1,1), # symbols (lines)
  lwd=c(2,2,2), col=c("red", "blue"))
  
layout(matrix(c(1,1,2,2), 2, 2, byrow = TRUE))
df <- 3
a <- 0.5
cond_norm_dist <- function(x) dnorm(x)/(pnorm(a) - pnorm(-a))
cond_t_dist <- function(x) dt(x, df = df)/(pt(a, df = df) - pt(-a, 
    df = df))
curve(cond_norm_dist(x), -a, a, col = "red", ylab="", ylim = c(0.9, 1.1), )
curve(cond_t_dist(x), col = "blue", add = TRUE)
legend("topright", c("Gaussian","T"), 
  lty=c(1,1,1), # symbols (lines)
  lwd=c(2,2,2), col=c("red", "blue"))

#zoom in on tail to emphasise heavy tail of t
low <- 0; high <- 6
curve(dnorm(x),  from = low, to = high, ylim = c(0, .05), col = "red", ylab="")
curve(dt(x, df = 3), col = "blue", add = TRUE)
legend("topright", c("Gaussian","T"), 
  lty=c(1,1,1), # symbols (lines)
  lwd=c(2,2,2), col=c("red", "blue"))

  
###################################  
#t distribution with varying nu parametrisation
curve(dnorm(x), -10, 10, n=1000, col = "red", ylab="")
curve(dt(x, df = 1), col = "blue", add = TRUE)
curve(dt(x, df = 5), col = "green", add = TRUE)
curve(dt(x, df = 10), col = "orange", add = TRUE)
curve(dt(x, df = 15), col = "black", add = TRUE)
legend_texts = expression(
   Guassian, nu^1, nu^5, nu^10, nu^15)
legend("topleft",legend = legend_texts, col = c("red", "green", "blue", "orange", "black"), lty = c(1))



