#https://cran.r-project.org/web/packages/moments/moments.pdf
#install.packages("moments")
dataexp2 <- 
  read.table("http://www.irrational-decisions.com/phd-thesis/dataexp2.txt",
             header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)
library(moments)
x <- dataexp2$v00
skewness(x)
kurtosis(x) # Pearson’s measure of kurtosi
agostino.test(x)

anscombe.test(x) #Anscombe-Glynn kurtosis test
#Anscombe, F.J., Glynn, W.J. (1983) Distribution of kurtosis statistic for normal statistics. Biometrika, 70, 1, 227-234
#Under the hypothesis of normality, data should have kurtosis equal to 3. This test has such null
#hypothesis and is useful to detect a significant difference of kurtosis in normally distributed data.
bonett.test(x) #Bonett-Seier test for Geary kurtosis
#Bonett, D.G., Seier, E. (2002) A test of normality with high uniform power. Computational Statistics and Data Analysis, 40, 435-445.
#Under the hypothesis of normality, data should have Geary’s kurtosis equal to sqrt(2/pi) (0.7979).
#This test has such null hypothesis and is useful to detect a significant difference of Geary’s kurtosis in normally distributed data. 
geary(x)

jarque.test(x)


mardia(dataexp2$v00, na.rm = TRUE,plot=TRUE)
describe(dataexp2$v00)