dataexp2 <- 
  read.table("http://www.irrational-decisions.com/phd-thesis/dataexp2.txt",
             header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)

StackedData <- stack(dataexp2[, c("v00","v01","v10","v11")])
names(StackedData) <- c("variable", "factor")
Boxplot(variable~factor, data=StackedData, id.method="y")

densityPlot(variable~factor, data=StackedData, bw="SJ", adjust=1, kernel="gaussian")
with(StackedData, Hist(variable, groups=factor, scale="frequency", breaks="Sturges", col="darkgray"))
with(StackedData, plotMeans(variable, factor, error.bars="conf.int", level=0.95, connect=TRUE))
stripchart(variable ~ factor, vertical=TRUE, method="stack", ylab="variable", data=StackedData)


# dependet repeated measures
file_user <- file.choose()
file_user
source("C:\\Users\\cgermann\\Documents\\BEST\\phack-rm.R") # read in the p-hack function

res2 <- phackRM(initialN=60, hackrate=10, t1M=3.75, t2M=3.75, t1SD=1.12, t2SD=1.12, r=.95, maxN=300, alpha=.05, alternative="less", standardizer="pooled", graph=TRUE, sims=1000)

head(res2)